<html xmlns:th="http://www.thymeleaf.org">
<body>
<div
		th:fragment="form"
		class="rounded-xl shadow bg-white dark:bg-gray-800 p-4 md:p-6 space-y-4"
>
	<div>
		<h5 class="mr-3 font-semibold dark:text-white">Tambah Institusi</h5>
		<p class="text-gray-500 dark:text-gray-400">
			Silahkan tambah institusi dengan mengisi form dibawah ini
		</p>
	</div>
	<!-- alert -->
	<div
			id="alert-3"
			class="flex items-center p-4 mb-4 text-green-800 rounded-lg bg-green-50 dark:bg-gray-700 dark:text-green-400"
			role="alert"
	>
		<svg
				class="flex-shrink-0 w-4 h-4"
				aria-hidden="true"
				xmlns="http://www.w3.org/2000/svg"
				fill="currentColor"
				viewBox="0 0 20 20"
		>
			<path
					d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"
			/>
		</svg>
		<span class="sr-only">Info</span>
		<div class="ms-3 text-sm font-medium">
			Data Berhasil <span>ditambahkan</span> <span>diperbaharui</span>
		</div>
		<button
				type="button"
				class="ms-auto -mx-1.5 -my-1.5 bg-green-50 text-green-500 rounded-lg focus:ring-2 focus:ring-green-400 p-1.5 hover:bg-green-200 inline-flex items-center justify-center h-8 w-8 dark:bg-gray-700 dark:text-green-400 dark:hover:bg-gray-700"
				data-dismiss-target="#alert-3"
				aria-label="Close"
		>
			<span class="sr-only">Close</span>
			<svg
					class="w-3 h-3"
					aria-hidden="true"
					xmlns="http://www.w3.org/2000/svg"
					fill="none"
					viewBox="0 0 14 14"
			>
				<path
						stroke="currentColor"
						stroke-linecap="round"
						stroke-linejoin="round"
						stroke-width="2"
						d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6"
				/>
			</svg>
		</button>
	</div>

	<form method="post" th:action="@{/setting/institution}" novalidate>
		<div class="flex gap-4 flex-wrap md:flex-nowrap items-start">
			<div class="basis-full">
				<label
						for="InstitutionName"
						class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
				>Nama Institusi</label
				>
				<input
						type="text"
						id="InstitutionName"
						name="InstitutionName"
						class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
						placeholder="Nama Institusi"
						autocomplete="off"
						required
				/>
				<p
						id="errorInstitutionName"
						class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
				></p>
			</div>
			<div class="basis-full">
				<label
						for="foundation"
						class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
				>Yayasan</label
				>
				<select
						id="foundation"
						name="foundation"
						class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
						required
				>
					<option value="">Pilih Yayasan</option>
					<option th:each="data, row:${foundationList}"
							th:value="${data.id}"
							th:text="${data.foundationName}"></option>
				</select>
				<p
						id="errorfoundation"
						class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
				></p>
			</div>
			<div class="basis-full">
				<label
						for="typeInstitution"
						class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
				>Pilih Tipe Yayasan</label
				>
				<select id="typeInstitution" name="typeInstitution" class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" required>
					<option value="">Pilih Tipe Yayasan</option>
					<option value="INDUK">INDUK</option>
					<option value="CABANG">CABANG</option>
				</select>
				<p
						id="errorTypeInstitution"
						class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
				></p>
				<input type="hidden" name="id" id="institutionId">
			</div>
			<div class="basis-full flex flex-row gap-x-2 md:pt-7">
				<button
						type="submit"
						class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full md:w-auto px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
				>
					Submit
				</button>
				<!-- show only on edit -->
				<button
						id="cancel-button"
						type="button"
						onclick="cancelInstitusi()"
						style="display: none"
						class="text-red-800 dark:text-red-400 bg-red-50 dark:bg-gray-700 hover:bg-red-100 dark:hover:bg-gray-600 focus:ring-4 focus:outline-none focus:ring-red-300 font-medium rounded-lg text-sm w-full md:w-auto px-5 py-2.5 text-center"
				>
					Batalkan
				</button>
			</div>
		</div>
	</form>
</div>
</body>
</html>